<nav class="navbar navbar-light navbar-expand-md bg-dark">
    <a class="navbar-brand logo d-none d-md-inline" routerLink="/" (click)="collapseNavbar()">
        <span class="logo-img"></span>
        <!-- <span class="title"><b>PONDOK PESANTREN SIRAAJUL UMMAH BEKASI</b></span>  <span class="navbar-version">{{version}}</span> -->
    </a>
    <a class="navbar-brand logo d-block d-md-none" routerLink="/" (click)="collapseNavbar()">
        <span class="logo-img-mobile"></span>
    </a>
    <a class="navbar-toggler d-lg-none" href="javascript:void(0);" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation" (click)="toggleNavbar()">
        <fa-icon icon="bars"></fa-icon>
    </a>
    <div class="navbar-collapse collapse" id="navbarResponsive" [ngbCollapse]="isNavbarCollapsed" [ngSwitch]="isAuthenticated()">
        <ul class="navbar-nav ml-auto">
            <li class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
                <a class="nav-link" routerLink="/" (click)="collapseNavbar()">
                    <span>
                        <fa-icon icon="home"></fa-icon>
                        <span>Home</span>
                    </span>
                </a>
            </li>
            
            <!-- <li *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_TU', 'ROLE_WALI']" class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
                <a class="nav-link" routerLink="transaksi" (click)="collapseNavbar()">
                    <span>
                        <fa-icon icon="home"></fa-icon>
                        <span>Transaksi</span>
                    </span>
                </a>
            </li> -->
            
            <li *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_TU', 'ROLE_WALI']" class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
                <a class="nav-link" routerLink="tagihan" (click)="collapseNavbar()">
                    <span>
                        <fa-icon [icon]="['fas', 'file-invoice-dollar']"></fa-icon>
                        <span>Tagihan</span>
                    </span>
                </a>
            </li>
            
            <li *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_TU', 'ROLE_KETUA']" class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
                <a class="nav-link" routerLink="transaksi" (click)="collapseNavbar()">
                    <span>
                        <fa-icon icon="list"></fa-icon>
                        <span>History Transaksi</span>
                    </span>
                </a>
            </li>
            
            <li *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_TU']" ngbDropdown class="nav-item dropdown pointer" display="dynamic" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
                <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="entity-menu">
                    <span>
                        <fa-icon icon="cog"></fa-icon>
                        <span>
                            Pengaturan
                        </span>
                    </span>
                </a>
                <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="entity-menu">
                    <li class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
                        <a class="dropdown-item" routerLink="besar-bayar" (click)="collapseNavbar()">
		                    <span>
		                    <fa-icon icon="cog"></fa-icon>
                            <span>Pembayaran</span>
                            </span>
                        </a>
                    </li>
                    <li class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
                        <a class="dropdown-item" routerLink="jenis-pembayaran" (click)="collapseNavbar()">
		                    <span>
		                    <fa-icon icon="cog"></fa-icon>
                            <span>Jenis Bayar</span>
                            </span>
                        </a>
                    </li>
		            <li class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
		                <a class="dropdown-item" routerLink="siswa" (click)="collapseNavbar()">
		                    <span>
		                        <fa-icon icon="users"></fa-icon>
		                        <span>Siswa</span>
		                    </span>
		                </a>
		            </li>
		            <li class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
		                <a class="dropdown-item" routerLink="kelas" (click)="collapseNavbar()">
		                    <span>
		                        <fa-icon icon="home"></fa-icon>
		                        <span>Kelas</span>
		                    </span>
		                </a>
		            </li>
                    <!-- jhipster-needle-add-entity-to-menu - JHipster will add entities to the menu here -->
                </ul>
            </li>
            <!-- jhipster-needle-add-element-to-menu - JHipster will add new menu items here -->
            <li *jhiHasAnyAuthority="['ROLE_ADMIN']" ngbDropdown class="nav-item dropdown pointer" display="dynamic" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
                <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="entity-menu">
                    <span>
                        <fa-icon icon="th-list"></fa-icon>
                        <span>
                            Entities
                        </span>
                    </span>
                </a>
                <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="entity-menu">
                    <li>
                        <a class="dropdown-item" routerLink="siswa" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" fixedWidth="true"></fa-icon>
                            <span>Siswa</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="kelas" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" fixedWidth="true"></fa-icon>
                            <span>Kelas</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="jenis-pembayaran" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" fixedWidth="true"></fa-icon>
                            <span>Jenis Pembayaran</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="besar-bayar" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" fixedWidth="true"></fa-icon>
                            <span>Pengaturan Pembayaran</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="tagihan" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" fixedWidth="true"></fa-icon>
                            <span>Tagihan</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="transaksi" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" fixedWidth="true"></fa-icon>
                            <span>Transaksi</span>
                        </a>
                    </li>
                    <!-- jhipster-needle-add-entity-to-menu - JHipster will add entities to the menu here -->
                </ul>
            </li>
            
            <!-- <li *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_TU']" ngbDropdown class="nav-item dropdown pointer" display="dynamic" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
                <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="entity-menu">
                    <span>
                        <fa-icon icon="cog"></fa-icon>
                        <span>
                            LAPORAN
                        </span>
                    </span>
                </a>
                <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="entity-menu">
                    <li class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
                        <a class="dropdown-item" routerLink="besar-bayar" (click)="collapseNavbar()">
		                    <span>
		                    <fa-icon icon="cog"></fa-icon>
                            <span>Pembayaran SPP</span>
                            </span>
                        </a>
                    </li>
                    jhipster-needle-add-entity-to-menu - JHipster will add entities to the menu here
                </ul>
            </li> -->
            <li *jhiHasAnyAuthority="'ROLE_ADMIN'" ngbDropdown class="nav-item dropdown pointer" display="dynamic" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
                <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="admin-menu">
                    <span>
                        <fa-icon icon="user-plus"></fa-icon>
                        <span>Administration</span>
                    </span>
                </a>
                <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="admin-menu">
                    <li>
                        <a class="dropdown-item" routerLink="admin/user-management" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="user" fixedWidth="true"></fa-icon>
                            <span>User management</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/metrics" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="tachometer-alt" fixedWidth="true"></fa-icon>
                            <span>Metrics</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/health" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="heart" fixedWidth="true"></fa-icon>
                            <span>Health</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/configuration" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="list" fixedWidth="true"></fa-icon>
                            <span>Configuration</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/audits" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="bell" fixedWidth="true"></fa-icon>
                            <span>Audits</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/logs" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="tasks" fixedWidth="true"></fa-icon>
                            <span>Logs</span>
                        </a>
                    </li>
                    <li *ngIf="swaggerEnabled">
                        <a class="dropdown-item" routerLink="admin/docs" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="book" fixedWidth="true"></fa-icon>
                            <span>API</span>
                        </a>
                    </li>
                    <!-- jhipster-needle-add-element-to-admin-menu - JHipster will add entities to the admin menu here -->
                </ul>
            </li>
            <li ngbDropdown class="nav-item dropdown pointer" display="dynamic" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
                <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="account-menu">
                  <span *ngIf="!getImageUrl()">
                    <fa-icon icon="user"></fa-icon>
                    <span>
                      Account
                    </span>
                  </span>
                  <span *ngIf="getImageUrl()">
                      <img [src]="getImageUrl()" class="profile-image rounded-circle" alt="Avatar">
                  </span>
                </a>
                <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="account-menu">
                    <li *ngSwitchCase="true">
                        <a class="dropdown-item" routerLink="account/settings" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="wrench" fixedWidth="true"></fa-icon>
                            <span>Settings</span>
                        </a>
                    </li>
                    <li *ngSwitchCase="true">
                        <a class="dropdown-item" routerLink="account/password" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="lock" fixedWidth="true"></fa-icon>
                            <span>Password</span>
                        </a>
                    </li>
                    <li *ngSwitchCase="true">
                        <a class="dropdown-item" (click)="logout()" id="logout">
                            <fa-icon icon="sign-out-alt" fixedWidth="true"></fa-icon>
                            <span>Sign out</span>
                        </a>
                    </li>
                    <li *ngSwitchCase="false">
                        <a class="dropdown-item" (click)="login()" id="login">
                            <fa-icon icon="sign-in-alt" fixedWidth="true"></fa-icon>
                            <span>Sign in</span>
                        </a>
                    </li>
                    <!-- <li *ngSwitchCase="false">
                        <a class="dropdown-item" routerLink="account/register" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="user-plus" fixedWidth="true"></fa-icon>
                            <span>Register</span>
                        </a>
                    </li> -->
                </ul>
            </li>
        </ul>
    </div>
</nav>
